# Uses of Interface
org.eclipse.pde.core.plugin.IPluginAttribute

Packages that use IPluginAttribute
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IPluginAttribute in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return IPluginAttribute
Modifier and Type
Method
Description
`IPluginAttribute`
IExtensionsModelFactory.`createAttribute(IPluginElement element)`
Creates a new attribute instance for the provided element.
`IPluginAttribute`
IPluginElement.`getAttribute(String name)`
Returns an attribute object whose name matches the provided name.
`IPluginAttribute[]`
IPluginElement.`getAttributes()`
Returns all attributes currently defined in this element